# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-asyncmongo
%global realname asyncmongo

Name:           python-module-asyncmongo
Version:        0.1.3
Release:        alt1_4
Summary:        An asynchronous Python MongoDB library

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/bitly/asyncmongo
Source0:        https://github.com/downloads/bitly/asyncmongo/asyncmongo-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info


%description
AsyncMongo is an asynchronous Python library for accessing MongoDB using the
Tornado IOLoop.

%prep
%setup -q -n %{realname}-%{version}
# Fix non-executable-script error
sed -i '/^#!\/bin\/env python$/,+1 d' asyncmongo/*.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.md
%{python_sitelibdir_noarch}/%{realname}
%{python_sitelibdir_noarch}/%{realname}-%{version}*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.3-alt1_3
- initial fc import

